Table of Contents

_________________________________________________________________

## NAME

View - create and manipulate a View object.

## SYNOPSIS

View viewName ?options?

## INHERITANCE

None

## WIDGET-SPECIFIC OPTIONS

Command-Line Switch:
  -aet

Specifies the view orientation (i.e. azimuth, elevatation and twist). The default is (0, 90, 0).

Command-Line Switch:
  -center

Specifies the view center. The default is (0, 0, 0).

Command-Line Switch:
  -perspective_angle

Specifies the perspective angle. The default is 90.

Command-Line Switch:
  -size

Specifies the view size in millimeters. The default is 1000.

## DESCRIPTION

The View command creates a new view object (given by the viewName argument) that can be used to manipulate view parameters. Additional arguments, described above, may be specified on the command line to configure aspects of the view. The View command returns its viewName argument. At the time this command is invoked, there must not exist a view object named viewName.

## METHODS

The View command creates a new Tcl command whose name is viewName. This command may be used to invoke various operations on the View object. It has the following general form:

viewName option ?arg arg ...?

Option and the args determine the exact behavior of the command. The following commands are possible for View objects:

### BUILT-IN METHODS

  cget configure isa info

### ASSOCIATED METHODS

Methods associated with LIBRT's view object:

  aet center model2view observer perspective pmodel2view rot size slew tra zoom

### WIDGET-SPECIFIC METHODS

viewName get_viewname
  Return the name of the associated LIBRT view object.

## NOTES

The View class wraps LIBRT's view object. At present, only the most basic commands of LIBRT's view object are available.

## EXAMPLE

    cwish> View view1
    view1
    cwish> view1 aet 35 25 0
    35 25 0
    cwish> view1 center 100 200 300
    100 200 300

## ACKNOWLEDGEMENTS:

Mark L. Ulferts <mulferts@austin.dsccc.com>

            Basic layout for documenting classes.

## AUTHOR

Robert G. Parker

## KEYWORDS

Table of Contents

- NAME
- SYNOPSIS
- INHERITANCE
- WIDGET-SPECIFIC OPTIONS
- DESCRIPTION
- METHODS
- BUILT-IN METHODS
- ASSOCIATED METHODS
- WIDGET-SPECIFIC METHODS
- NOTES
- EXAMPLE
- ACKNOWLEDGEMENTS
- AUTHOR
- KEYWORDS